Subject: Re: rcs for CygWin?
From: Michael Weiser <[email-masked]>
To: "Noel L Yap" <[email-masked]>
Cc: [email-masked]
Date: Mon, 27 Dec 1999 20:55:01 +0100

Hello Noel, you wrote:
>Does anyone know of any rcs packages for NT (preferably free)?
1. native NT port on http://download.cyclic.com/pub/rcs/
2. my quite old binaries for stock B20.1 on
ftp://ftp.franken.de/pub/win32/develop/gnuwin32/cygwin/porters/Weiser_Michael/B20/

If you want to use it with a newer snapshot you should compile it
yourself following the instructions in
ftp://ftp.franken.de/pub/win32/develop/gnuwin32/cygwin/porters/Weiser_Michael/B20/rcs-5.7-cygwin-b20-bin.README
and consider the following hints given to me by Andre Oliveira da
Costa <[email-masked]> who argued with a misbehaving rcs 5.7 a lot
some time ago:

>To make a long story short, I finally managed (with help from _a lot_ of
>people, including you) to get RCS v5.7 working flawlessly on my NT4SP5. To
>accomplish that, I had to:
>
>* download the latest snapshot, to correct a bug on readlink(), as pointed
>by Kazuhiro Fujieda <[email-masked]> (remember, I'm using B20.1, not
>v1.0)
>
>* recreate /etc/passwd and /etc/group with the new mkpasswd and mkgroup
>
>* enable the ntsec feature (and ntea, although I'm not sure this was part of
>the solution or not)
>
>* remount all my mounts as binary
>
>* recompile RCS directly from source
>
>I've been using it for a while now, and it seems to be pretty stable -- no
>problems found so far.

Hope that helps.
-- 
bye, Michael

--
Want to unsubscribe from this list?
Send a message to [email-masked]